#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_uart.h"
#include "inc/hw_gpio.h"
#include "inc/hw_memmap.h"

#include "driverlib/rom.h"
#include "driverlib/pin_map.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "driverlib/uart.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/interrupt.h"
#include "driverlib/watchdog.h"
#include "driverlib/uartstdio.h" 
 
#include "gpio_initconfig.h"
#include "systick_config.h"
#include "tm4c_intconfig.h"
#include "key_config.h"
#include "gui_4094.h"
#include "usart_init.h"

 

uint32_t flash_timer = 0;
extern uint32_t soft_timer;
extern key_state key_state_judge;
extern uint8_t	GUI_TAB[10];
extern uint8_t  seconds_show ,minute_show ,hour_show ;
	
int main(void)
{
//	uint32_t ledtime_delay ,j;
		
		GPIOInit();
		systick_init();

	  usart_config22();
	while(1)
	{
		
/*************************************ˢ**************************************************************/
     key_stats_buffer();
		 key_operation();
		
/************************************Ӹ**************************************************************/
		 gui_timeshow();
		
		 if(seconds_show>59)           //Ӹ£ºܳʼУӲ£ԭ
		 {
			 minute_show++;
			 soft_timer = 0;
			 
		 }
	 
/************************************LED**************************************************************/	 
		 GPIOPinWrite(GPIO_PORTF_AHB_BASE,GPIO_PIN_2,0<<2);
		 
	}
	   
}


