#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"

#include "driverlib/rom.h"
#include "driverlib/pin_map.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "driverlib/gpio.h"
#include "driverlib/interrupt.h"

#include "systick_config.h"
#include "tm4c_intconfig.h"

//ϵͳóʼжϳʼ
void systick_init(void)
{
	 uint32_t SystemCoreClock ;
	 SystemCoreClock = ROM_SysCtlClockGet();
	 ROM_SysTickPeriodSet(SystemCoreClock/1000);
	 SysTickIntRegister(SysTick_Handler);
	 ROM_IntPrioritySet(FAULT_SYSTICK, 1 << 5);
	 IntMasterEnable();
   ROM_SysTickEnable();	
}
