#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"

#include "driverlib/rom.h"
#include "driverlib/pin_map.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "driverlib/gpio.h"

#include "key_config.h"

key_state key_state_judge;                      //尴ṹ
extern uint32_t soft_timer;


//
void key_operation(void)
{

	switch(key_state_judge.keylast_state)
	{
		case 14 :   GPIOPinWrite(GPIO_PORTF_AHB_BASE , GPIO_PIN_6 , 0<<6 );break;   														 
		case 13 :   GPIOPinWrite(GPIO_PORTF_AHB_BASE , GPIO_PIN_5 , 0<<5 );break;							  
		case 11 :   GPIOPinWrite(GPIO_PORTF_AHB_BASE , GPIO_PIN_4 , 0<<4 );break;  		
		case 7  :   GPIOPinWrite(GPIO_PORTF_AHB_BASE , GPIO_PIN_3 , 0<<3);break;				 
		default :   GPIOPinWrite(GPIO_PORTF_AHB_BASE , GPIO_PIN_3|GPIO_PIN_4|GPIO_PIN_5|GPIO_PIN_6 , 0xff );  break;							 
	}	
	
}


void key_stats_buffer(void)
{
	 	key_state_judge.keycur_state = (GPIOPinRead(GPIO_PORTA_AHB_BASE , GPIO_PIN_2|GPIO_PIN_3|GPIO_PIN_4|GPIO_PIN_5 )>>2)&0X0F; 
		if(key_state_judge.key_buffer == key_state_judge.keycur_state)     //,򰴼޶κδ
		{		}
		else                                                                //а
		{			  		 	                
				if(key_state_judge.keycur_time>80)
				{
					 if(key_state_judge.key_buffer == key_state_judge.keycur_state)    
		         {		}
           else
					 {						 
							key_state_judge.keylast_state = key_state_judge.keycur_state ;
							key_state_judge.key_buffer = key_state_judge.keycur_state;
					 }
				}
				
		}

	  
}


