#ifndef _KEY_CONFIG_H
#define _KEY_CONFIG_H

#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"

typedef struct
{
	uint32_t keycur_time;
	uint32_t keydelay_time;
	uint8_t	keycur_state;
	uint8_t key_buffer;
	uint8_t keylast_state;
	bool key_change;                    
	
}key_state;

void key_operation(void);
void key_stats_buffer(void);

#endif
